#ifndef PGALIAS_H
#define PGALIAS_H
#include "../GEFEL/kwdset.h"

//  aliases for type of domain decomposition method
enum domdectype {schurcompldd=1,fetidd=5,dpfetidd=10,parconjuggrad=40,boundparconjuggrad=45,layered_plate=50};
const enumstr domdectypestr[6] = {{"schurcompldd",1}, {"fetidd",5}, {"dpfetidd",10}, {"parconjuggrad",40},{"boundparconjuggrad",45},  {"layered_plate",50}};
const kwdset domdectype_kwdset(sizeof(domdectypestr)/sizeof(*domdectypestr), domdectypestr);

//  aliases for type of solver of coarse problem
enum redsystsolver {master_sol=1,paral_sol=2};
const enumstr redsystsolverstr[2] = {{"master_sol",1}, {"paral_sol",2}};
const kwdset redsystsolver_kwdset(sizeof(redsystsolverstr)/sizeof(*redsystsolverstr), redsystsolverstr);

//  aliases for type of preconditioner of FETI method
enum fetiprecond {nofetiprecond=0,lumped=1,dirichlet=2};
const enumstr fetiprecondstr[3] = {{"nofetiprecond",0},{"lumped",1}, {"dirichlet",2}};
const kwdset fetiprecond_kwdset(sizeof(fetiprecondstr)/sizeof(*fetiprecondstr),fetiprecondstr);

#endif
